# class ItemEnum

###

Module | kdecore
Namespace | KCoreConfigSkeleton
Class | ItemEnum
Inherits | KCoreConfigSkeleton::ItemInt

Class for handling enums.

### methods

- ItemEnum (a0, a1, a2, a3, a4)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  a0 | QString |
  a1 | QString |
  a2 | qint32 |
  a3 | QList<KCoreConfigSkeleton::ItemEnum::Choice> |
  a4 | qint32 | 0

- choices ( )

  returns QList<KCoreConfigSkeleton::ItemEnum::Choice>

- readConfig (config)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  config | KConfig |

  KConfigSkeletonItem.readConfig(KConfig*)

- writeConfig (config)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  config | KConfig |

  KConfigSkeletonItem.writeConfig(KConfig*)